Bug 169767 - audio/alsa-plugins: desync with oss plugin
audio/alsa-plugins: desync with oss plugin
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Florian Smeets
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 17:50 UTC by Jan Beich (N/A in 06/27..07/14)
Modified: 2012-10-04 18:05 UTC (History)
0 users

See Also:


Attachments
vanilla.diff (6.48 KB, patch)
2012-07-10 18:43 UTC, Jan Beich (N/A in 06/27..07/14)
no flags Details | Diff
swap.diff (781 bytes, patch)
2012-07-10 23:17 UTC, Jan Beich (N/A in 06/27..07/14)
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich (N/A in 06/27..07/14) freebsd_committer 2012-07-10 17:50:03 UTC
When trying to play WebM video on YouTube using Firefox built with ALSA
option ON the video goes in fast-forward mode while audio plays normally.

Fix: 

Remove FreeBSD-specific patch. www/chromium seems to work fine without it.

Noticed after looking at pkgsrc patches.
Comment 1 Edwin Groothuis freebsd_committer 2012-07-10 17:50:12 UTC
Maintainer of audio/alsa-plugins,

Please note that PR ports/169767 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169767

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-07-10 17:50:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jan Beich (N/A in 06/27..07/14) freebsd_committer 2012-07-10 18:43:35 UTC
Here is more easy way to test.
Comment 4 Jan Beich (N/A in 06/27..07/14) freebsd_committer 2012-07-10 23:17:07 UTC
Hmm, the issue stems from ports/165247 applied wrong.
Comment 5 Jan Beich (N/A in 06/27..07/14) freebsd_committer 2012-07-10 23:43:06 UTC
Jan Beich <jbeich@tormail.org> writes:

> Hmm, the issue stems from ports/165247 applied wrong.

Oops, I read it wrong, ignore any patches. Still this PR is about
regression from ports/165247. I've just tested with

  $ cvs up -D2012/05/06 audio/alsa-plugins
  $ make install

and it works OK there.
Comment 6 Aragon Gouveia 2012-07-12 13:10:49 UTC
I'm not able to troubleshoot this problem now, and if no one else can, 
may I suggest, in the interest of having a stable port, that it be 
rolled back to the previous version?

Keeping in mind that the previous version received no reports of broken 
behaviour.  Andriy's PR ports/165247 was an enhancement that maybe just 
needs deeper review.
Comment 7 Aragon Gouveia 2012-09-29 20:04:50 UTC
Hi.  Just a note to ask for this PR to be closed as ports/171601 
addresses the issues here.

Thanks!
Comment 8 Florian Smeets freebsd_committer 2012-09-29 20:13:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Thake all these as i'll take care of ports/171601 shortly.
Comment 9 Florian Smeets freebsd_committer 2012-10-04 18:05:47 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!